org.apache.xml.utils

## Class StringComparable

- java.lang.Object
- - org.apache.xml.utils.StringComparable

- All Implemented Interfaces:
    java.lang.Comparable

      public class StringComparable
      extends java.lang.Object
      implements java.lang.Comparable

  International friendly string comparison with case-order
  Author:
    Igor Hersht, igorh@ca.ibm.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LOWER_CASE`
    `static int` | `UNKNOWN_CASE`
    `static int` | `UPPER_CASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringComparable(java.lang.String text, java.util.Locale locale, java.text.Collator collator, java.lang.String caseOrder)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `static java.lang.Comparable` | `getComparator(java.lang.String text, java.util.Locale locale, java.text.Collator collator, java.lang.String caseOrder)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN_CASE

          public static final int UNKNOWN_CASE

      See Also:
        Constant Field Values

    - #### UPPER_CASE

          public static final int UPPER_CASE

      See Also:
        Constant Field Values

    - #### LOWER_CASE

          public static final int LOWER_CASE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StringComparable

          public StringComparable(java.lang.String text,
                                  java.util.Locale locale,
                                  java.text.Collator collator,
                                  java.lang.String caseOrder)

  - ### Method Detail

    - #### getComparator

          public static final java.lang.Comparable getComparator(java.lang.String text,
                                                                 java.util.Locale locale,
                                                                 java.text.Collator collator,
                                                                 java.lang.String caseOrder)

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright © 2023 Apache XML Project. All Rights Reserved.